import * as Config from './config';
import * as Base from './base';
import * as Crud from './crud';
/**
 * 基础查询表格
 * @param options 表格选项参数
 */
export declare function useTable<R = any>(options: Config.BaseTableOptions<Config.BaseOptions, R>): {
    tableOptions: Config.BaseTableOptions<Config.BaseOptions, R>;
    tableLoading: import("vue").Ref<boolean>;
    fetchData: (data?: Record<string, unknown>) => void;
    Table: Base.BaseTable<R>;
};
/**
 * crud表格
 * @param options 表格选项参数
 */
export declare function useTableWithCrud<QR = any, CR = any, DR = any, UR = any>(options: Config.CrudTableOptions<Config.BaseOptions, QR, CR, DR, UR>): {
    tableOptions: Config.BaseTableOptions<Config.BaseOptions, any>;
    tableLoading: import("vue").Ref<boolean>;
    fetchData: (data?: Record<string, unknown>) => void;
    CrudTable: Crud.CrudTable<QR, CR, DR, UR>;
};
export declare const BaseTable: typeof Base.BaseTable;
export declare const CrudTable: typeof Crud.CrudTable;
